commit 22a18976d55f4abb5b05362fe1f6b336f59f2d6a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Oct 25 02:28:20 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index c713b9cbdab..eaec013737c 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,25 @@
+2025-10-24  Linsen Zhou  <i@lin.moe>
+
+	Backported from master:
+	2025-10-18  Linsen Zhou  <i@lin.moe>
+
+	PR tree-optimization/122012
+	* tree-object-size.cc (check_for_plus_in_loops): Skip check
+	for the variable offset
+
+2025-10-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2025-10-20  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/99930
+	PR target/122323
+	* config/i386/i386-expand.cc (ix86_expand_copysign): Swap
+	operands[1] with operands[2].  Optimize copysign (x, const_double)
+	instead of copysign (const_double, x).
+	* config/i386/i386.md (copysign<mode>3): Swap constraints for
+	operands[1] and operands[2].
+
 2025-10-22  Haochen Jiang  <haochen.jiang@intel.com>
 
 	* config/i386/driver-i386.cc (host_detect_local_cpu): Correct
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index a234d9f4635..8135eec54b6 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251024
+20251025
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index b09c0aa94ff..9401a29c06a 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,15 @@
+2025-10-24  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/118782
+	* styleg.adb (Is_Box_Comment): Also stop the loop at EOF.
+
+2025-10-24  Nicolas Boulenguez  <nicolas@debian.org>
+
+	PR ada/81087
+	* gnatlink.adb (Is_Prefix): Move around, streamline and return false
+	when the prefix is not strict.
+	(Gnatlink): Fix other instances of incorrect lower bound assumption.
+
 2025-10-20  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/107536
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 4ac8b7701de..5ddeeea5d51 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,37 @@
+2025-10-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2025-10-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/122323
+	* gcc.target/i386/builtin-fabs-2.c: Also scan (%edi)for x32.
+
+2025-10-24  Linsen Zhou  <i@lin.moe>
+
+	Backported from master:
+	2025-10-18  Linsen Zhou  <i@lin.moe>
+
+	PR tree-optimization/122012
+	* gcc.dg/torture/pr122012.c: New test.
+
+2025-10-24  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2025-10-20  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/99930
+	PR target/122323
+	* gcc.target/i386/builtin-copysign-2.c: New test.
+	* gcc.target/i386/builtin-copysign-3.c: Likewise.
+	* gcc.target/i386/builtin-copysign-4.c: Likewise.
+	* gcc.target/i386/builtin-copysign-5.c: Likewise.
+	* gcc.target/i386/builtin-copysign-6.c: Likewise.
+	* gcc.target/i386/builtin-copysign-7.c: Likewise.
+	* gcc.target/i386/builtin-copysign-8a.c: Likewise.
+	* gcc.target/i386/builtin-copysign-8b.c: Likewise.
+	* gcc.target/i386/builtin-fabs-1.c: Likewise.
+	* gcc.target/i386/builtin-fabs-2.c: Likewise.
+
 2025-10-23  Christophe Lyon  <christophe.lyon@linaro.org>
 
 	Backported from master:

